Update PII deletion status

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Note

Example request

curl --location --request PUT 'https://eu.intouch.capillarytech.com/v2/requests' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'Authorization: Basic bmVlcmFqLmRvYzpiNGFmODA0MDA5Y2IwMzZhNGNjZGMzMzQzMWVmOWFjOQ==' \
--data '[
    {
		"type": "CUSTOMER",
		"baseType": "DELETE",
		"id": "13538087",
		"status": "APPROVED",
		"comments": "Seems to be a valid request, hence approving"
	}
]'

Body parameters

Parameter

Parameters marked with

are mandatory.
TypeDescription
type*stringType of the data. Only CUSTOMER type is supported.
baseType*stringType of the operation. In this context, DELETE is the baseType.
id*stringPII deletion request ID.
status*stringPII deletion status that needs to be set. For example, APPROVED, REJECTED and CANCELLED.
commentsstringComments or description for the operation

Response

ParameterDescription
entityIdDeletion request id.
warningsDisplays the warning message
resultIndicates whether the update was successful. True-No error, False-error.
totalCountTotal requests updated
failureCountTotal update requests failed
Body Params
json
Headers
string
enum
Defaults to application/json
Allowed:
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain